back to phpList.org

[SOLVED] How to install plugins in 3.3.3 URL-aware fopen

plugins
Tags: #<Tag:0x00007f76154d6ba0>

#1

On the Manage Plugins link I can see the pre-installed plugins but there is no link to otherwise grab plugins from the repository or anything whatsoever to allow installation from the front end.

Does 3.3.3 still require an administrator to do all of the installation of plugins from the backend or through server access?


#2

Do you have fopen php module enabled on your server or do you see an error message similar to this?

The PHP option for URL-aware fopen wrappers needs to be enabled. This is required to allow installation from a remote URL


#3

I don’t see such an error message.

allow_url_fopen is enabled.

Cpanel with apache4 Centos CENTOS 7.5 php version 70 and 56.

I mean, regardless if the above required items are present or not shouldn’t I see a link or button to press or click that brings me to the repository for the plugins? I can understand that once there I couldn’t download without url_fopen, but the screen in phplist 3.3.3 doesn’t even have a method to get to the repository. See attached screenshot.


#4

See attached snapshot - allow_url_fopen is enabled. I don’t know what else to check.


#5

@pancakehollow

You need to enable the PHP Zip extension.


#6

SOLVED: tell people they need to reconfigure EasyApache4 to use php zip extension. It’s not enough to enable url_fopen in php.

EasyApache4 also need to be jiggered up.


#7

@pancakehollow Please mark the thread as solved


#8

And marking it as solved is done how? I see no solved link, button, etc. Do you mean put the words Solved in the title?


#9

@pancakehollow That’s right, thanks.